Skip to main content
GET
Status

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1
dropId
string
required
Minimum string length: 1
runId
string
required
Minimum string length: 1

Response

200 - application/json

Success

dropId
string
required
Required string length: 1 - 300
runId
string
required
Required string length: 1 - 300
requestId
string
required
Required string length: 1 - 200
status
enum<string>
required
Available options:
QUEUED,
RUNNING,
NEEDS_CONFIRMATION,
DELIVERED,
PARTIAL,
FAILED,
CANCELLED
targets
object[]
required
Maximum array length: 30
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
attempt
integer
required
Required range: 0 <= x <= 9007199254740991
progress
object | null
required
result
object | null
required
cancellationRequested
boolean
required
cleanupStatus
enum<string>
required
Available options:
PENDING,
CLEAN,
FAILED
contextPath
string